Skip to main content
`Ctrl`+`K`

# MatShellSetManageScalingShifts

Allows the user to control the scaling and shift operations of the `MATSHELL`. Must be called immediately after `MatCreateShell()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatShellSetManageScalingShifts(Mat A)

Logically Collective

## Input Parameter

- A - the `MATSHELL` shell matrix

## See Also

Matrices, `Mat`, `MATSHELL`, `MatCreateShell()`, `MatShellGetContext()`, `MatShellGetOperation()`, `MatShellSetContext()`, `MatShellSetOperation()`

## Level

advanced

## Location

src/mat/impls/shell/shell.c

## Implementations

MatShellSetManageScalingShifts_Immutable() in src/mat/impls/shell/shell.c
MatShellSetManageScalingShifts_Shell() in src/mat/impls/shell/shell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages